package net.awired.ajsl.persistence.dao;

import java.io.Serializable;
import net.awired.ajsl.persistence.entity.IdEntity;

public interface DeleteDAO<ENTITY extends IdEntity<KEY>, KEY extends Serializable> {

    void delete(KEY id);

    void delete(final KEY... ids);

    void delete(final ENTITY... entities);

    void deleteAll();

    //    void delete(ENTITY entity, lockmode);

}
