package net.awired.ajsl.persistence.dao;

import java.io.Serializable;
import java.util.Collection;
import net.awired.ajsl.persistence.entity.IdEntity;

public interface UpdateDAO<ENTITY extends IdEntity<KEY>, KEY extends Serializable> {

    ENTITY merge(ENTITY object);

    ENTITY save(final ENTITY object);

    void save(final ENTITY... objects);

    void save(Collection<ENTITY> objects);

}
